0 Replies Latest reply on Dec 21, 2014 6:38 PM by Critical Security Issues

    Flash Player "known security issue"

    Critical Security Issues

      Trying to install update for Adobe Flash Player 15.0.0 on iMac OS X Yosemite 10.10.1 Safari Browser. Get Message "The version of "Adobe Flash Player" on your computer has known critical security issues. Only websites set to "Always Allow" are allowed to run this plug-in. To protect your system, use of this plug-in is now blocked for all other websites." I have retried download several times, but am blocked each time by the same above result.

      Please Help!

      Fritz